Index: applications/editors/josm/plugins/videomapping/.settings/org.eclipse.core.resources.prefs
===================================================================
--- applications/editors/josm/plugins/videomapping/.settings/org.eclipse.core.resources.prefs	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/.settings/org.eclipse.core.resources.prefs	(revision 25861)
@@ -1,4 +1,8 @@
-#Tue Mar 22 11:01:15 CET 2011
+#Fri Apr 15 18:36:49 CEST 2011
 eclipse.preferences.version=1
+encoding//uml/oldConcept.uml=UTF-8
+encoding//uml/oldConcept.umlclass=UTF-8
 encoding//uml/refactoring.uml=UTF-8
 encoding//uml/refactoring.umlclass=UTF-8
+encoding//uml/rendering.uml=UTF-8
+encoding//uml/rendering.umlseq=UTF-8
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPlugin.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPlugin.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPlugin.java	(revision 25861)
@@ -207,7 +207,9 @@
         if(fc.showOpenDialog(Main.main.parent)!=JFileChooser.CANCEL_OPTION)
         {
-//        	mostRecentFolder=fc.getSelectedFile().getAbsolutePath();
-//        	saveProperties();
+        	mostRecentFolder=fc.getSelectedFile().getAbsolutePath();
+        	saveProperties();
         	VideoPositionLayer videoPositionLayer= new VideoPositionLayer(gpsLayer);
+        	GPSVideoPlayer gpsVideoPlayer = new GPSVideoPlayer(new SimpleDateFormat("hh:mm:ss") ,videoPositionLayer);
+        	gpsVideoPlayer.addVideo(fc.getSelectedFile());
         }
 		
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPositionLayer.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPositionLayer.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/VideoPositionLayer.java	(revision 25861)
@@ -138,5 +138,5 @@
 	}
 	
-	private WayPoint getWayPointBefore(Date GPSTime)
+	public WayPoint getWayPointBefore(Date GPSTime)
 	{
 		assert GPSTime.after(getFirstWayPoint().getTime())==true;
@@ -196,4 +196,9 @@
         if(p1.getCoor().lon()>p2.getCoor().lon()) return p1; else return p2;
     }
+    
+    public Date getGPSDate()
+    {
+    	return iconPosition.getTime();
+    }
 
 	public void mouseReleased(MouseEvent e) {
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideo.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideo.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideo.java	(revision 25861)
@@ -1,7 +1,14 @@
 package org.openstreetmap.josm.plugins.videomapping.video;
+import java.awt.Canvas;
 import java.io.File;
 
+import javax.swing.JComponent;
+
 // a specific synced video
-public class GPSVideo {
+public class GPSVideo extends Video{
+	public JComponent SyncComponent;
+	public GPSVideo(File filename, Canvas canvas) {
+		super(filename, canvas);
+	}
    
 
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideoPlayer.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideoPlayer.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/GPSVideoPlayer.java	(revision 25861)
@@ -1,4 +1,7 @@
 package org.openstreetmap.josm.plugins.videomapping.video;
+import java.awt.BorderLayout;
 import java.awt.Color;
+import java.awt.FlowLayout;
+import java.awt.HeadlessException;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
@@ -7,4 +10,7 @@
 import java.sql.Date;
 import java.sql.Time;
+import java.text.DateFormat;
+import java.util.Iterator;
+import java.util.LinkedList;
 import java.util.List;
 import java.util.Timer;
@@ -13,4 +19,5 @@
 import javax.swing.JButton;
 import javax.swing.JCheckBoxMenuItem;
+import javax.swing.JPanel;
 
 import org.openstreetmap.josm.Main;
@@ -18,8 +25,88 @@
 import org.openstreetmap.josm.plugins.videomapping.GpsPlayer;
 import org.openstreetmap.josm.plugins.videomapping.VideoObserver;
+import org.openstreetmap.josm.plugins.videomapping.VideoPositionLayer;
+
+import static org.openstreetmap.josm.tools.I18n.*;
+import static org.openstreetmap.josm.gui.help.HelpUtil.ht;
 
 //extends video playback, major control has the video player
-public class GPSVideoPlayer
+public class GPSVideoPlayer extends VideoPlayer
 {
+	private JPanel syncPanel;
+	private List<GPSVideo> videos;
+	private List<JButton> syncButtons;
+	private VideoPositionLayer videoPositionLayer;
+
+	public GPSVideoPlayer(DateFormat videoTimeFormat,VideoPositionLayer videoPositionLayer) throws HeadlessException {
+		super(videoTimeFormat);
+		extendUI();
+		syncButtons=new LinkedList<JButton>();
+		this.videoPositionLayer=videoPositionLayer;
+	}
+
+	@Override
+	public GPSVideo addVideo(File Videofile) {
+		
+		GPSVideo video=(GPSVideo) super.addVideo(Videofile);
+		videos.add(video);
+		JButton syncButton= new JButton(tr("Sync"));
+		syncButton.setBackground(Color.RED);
+		syncPanel.add(syncButton);
+		syncButton.addActionListener(new ActionListener() {
+            //do a sync
+            public void actionPerformed(ActionEvent e) {
+            	GPSVideo v=findVideo((JButton)e.getSource());
+            	doSync(v,videoPositionLayer);
+            }
+		});
+		return video;
+	}
+
+	protected void doSync(GPSVideo v, VideoPositionLayer layer) {
+		WayPoint first=getFirstGPS(v.getTime(),layer.getGPSDate());
+		
+	}
+
+	//make sure we don't leave the GPS track
+	private WayPoint getFirstGPS(long videoTime, java.util.Date gpsDate) {
+		Date start=new Date(gpsDate.getTime()-videoTime);
+		if(start.before(videoPositionLayer.getFirstWayPoint().getTime()))
+		{
+			return videoPositionLayer.getFirstWayPoint();
+		}
+		else
+		{
+			return videoPositionLayer.getWayPointBefore(start);
+		}
+	}
+	
+	//make sure we don't leave the GPS track
+	private WayPoint getLastGPS(long videoTime, java.util.Date gpsDate) {
+		Date end=new Date(gpsDate.getTime()-videoTime);
+		if(end.after(videoPositionLayer.getLastWayPoint().getTime()))
+		{
+			return videoPositionLayer.getLastWayPoint();
+		}
+		else
+		{
+			return videoPositionLayer.getWayPointBefore(end);
+		}
+	}
+
+	protected GPSVideo findVideo(JButton source) {
+		for (GPSVideo v : videos) {
+			if (v.SyncComponent==source) return v;
+		}
+		return null;
+	}
+
+	private void extendUI() {
+		syncPanel=new JPanel(new FlowLayout());
+		screenPanel.add(syncPanel,BorderLayout.EAST);
+				
+	}
+	
+	
+	
     
     
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/Video.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/Video.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/Video.java	(revision 25861)
@@ -16,4 +16,9 @@
 	}
 	
+	public long getTime()
+	{
+		return player.getTime();
+	}
+	
 
 }
Index: applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/VideoPlayer.java
===================================================================
--- applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/VideoPlayer.java	(revision 25859)
+++ applications/editors/josm/plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/video/VideoPlayer.java	(revision 25861)
@@ -61,5 +61,5 @@
 public class VideoPlayer extends JFrame implements WindowListener, VideosObserver, VideoPlayerObserver{
 	private static final int notificationIntervall = 1000;
-	private JPanel screenPanel,controlsPanel,canvasPanel;
+	protected JPanel screenPanel,controlsPanel,canvasPanel;
     private JSlider timeline;
     private JButton play,back,forward;
@@ -94,5 +94,5 @@
 	}
 	
-	public void addVideo(File Videofile)
+	public Video addVideo(File Videofile)
 	{
 		Video video = new Video(Videofile,new Canvas());
@@ -102,4 +102,5 @@
         pack();
         startNotificationTimer();
+        return video;
 	}
 
Index: applications/editors/josm/plugins/videomapping/uml/oldConcept.uml
===================================================================
--- applications/editors/josm/plugins/videomapping/uml/oldConcept.uml	(revision 25861)
+++ applications/editors/josm/plugins/videomapping/uml/oldConcept.uml	(revision 25861)
@@ -0,0 +1,212 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<uml:Package xmi:version="2.1" xmlns:xmi="http://schema.omg.org/spec/XMI/2.1" xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML" xmi:id="_jq4bMWd-EeC5DqwlMjG_Kw" name="oldConcept">
+  <elementImport xmi:id="_jyopAGd-EeC5DqwlMjG_Kw">
+    <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
+  </elementImport>
+  <elementImport xmi:id="_jzOe4Gd-EeC5DqwlMjG_Kw">
+    <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
+  </elementImport>
+  <elementImport xmi:id="_jzOe4Wd-EeC5DqwlMjG_Kw">
+    <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#UnlimitedNatural"/>
+  </elementImport>
+  <elementImport xmi:id="_jzOe4md-EeC5DqwlMjG_Kw">
+    <importedElement xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
+  </elementImport>
+  <packagedElement xmi:type="uml:Class" xmi:id="_sr2scGd-EeC5DqwlMjG_Kw" name="VideoMappingPlugin">
+    <ownedAttribute xmi:id="_w1PjsGd-EeC5DqwlMjG_Kw" name="player" visibility="private" aggregation="composite"/>
+    <ownedAttribute xmi:id="_zNiQwGd-EeC5DqwlMjG_Kw" name="layer" visibility="private" aggregation="composite"/>
+    <ownedOperation xmi:id="_5m3xYGd-EeC5DqwlMjG_Kw" name="VideoMappingPlugin">
+      <ownedParameter xmi:id="_71BrAGd-EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_8DVMwGd-EeC5DqwlMjG_Kw" name="activeLyerChange">
+      <ownedParameter xmi:id="_9_TxQGd-EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_-KV8kGd-EeC5DqwlMjG_Kw" name="layerAdded">
+      <ownedParameter xmi:id="__fH-MGd-EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="__w3OcGd-EeC5DqwlMjG_Kw" name="layerRemoved">
+      <ownedParameter xmi:id="_At9I0Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_CYpJAGd_EeC5DqwlMjG_Kw" name="addMenuItems">
+      <ownedParameter xmi:id="_Eemv8Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_EmW9wGd_EeC5DqwlMjG_Kw" name="loadSettings" visibility="private">
+      <ownedParameter xmi:id="_FRkd8Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_FZK6wGd_EeC5DqwlMjG_Kw" name="applySettings" visibility="private">
+      <ownedParameter xmi:id="_GaIogGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_GvvsIGd_EeC5DqwlMjG_Kw" name="saveSettings" visibility="private">
+      <ownedParameter xmi:id="_HZLDoGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_H4nYsGd_EeC5DqwlMjG_Kw" name="copyGPSLayer" visibility="private">
+      <ownedParameter xmi:id="_IlwykGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_J4wrgGd_EeC5DqwlMjG_Kw" name="PositionLayer" clientDependency="_i0I5EGeBEeC5DqwlMjG_Kw _oSnT8GeBEeC5DqwlMjG_Kw">
+    <ownedAttribute xmi:id="_MSF6YGd_EeC5DqwlMjG_Kw" name="observers" aggregation="composite"/>
+    <ownedAttribute xmi:id="_OKC6gGd_EeC5DqwlMjG_Kw" name="player" aggregation="composite"/>
+    <ownedOperation xmi:id="_L6QCIGd_EeC5DqwlMjG_Kw" name="PositinLayer">
+      <ownedParameter xmi:id="_QmERAGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_Qx_NIGd_EeC5DqwlMjG_Kw" name="operation"/>
+    <ownedOperation xmi:id="_RhXboGd_EeC5DqwlMjG_Kw" name="getInfoComponent">
+      <ownedParameter xmi:id="_Si7mUGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_SqFXMGd_EeC5DqwlMjG_Kw" name="getMenuEntries">
+      <ownedParameter xmi:id="_T4ww0Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_UBjgcGd_EeC5DqwlMjG_Kw" name="getToolTipText">
+      <ownedParameter xmi:id="_VSBp0Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_VgeVgGd_EeC5DqwlMjG_Kw" name="isMergeable">
+      <ownedParameter xmi:id="_W9dQ4Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_XEnBwGd_EeC5DqwlMjG_Kw" name="mergeFrom">
+      <ownedParameter xmi:id="_YI3UEGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_YpMZ8Gd_EeC5DqwlMjG_Kw" name="paint">
+      <ownedParameter xmi:id="_Y_GYgGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_ZW8QwGd_EeC5DqwlMjG_Kw" name="mousePressed">
+      <ownedParameter xmi:id="_aM4aQGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_aY9HYGd_EeC5DqwlMjG_Kw" name="mouseReleased">
+      <ownedParameter xmi:id="_bKIFoGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_blsnUGd_EeC5DqwlMjG_Kw" name="mouseMoved">
+      <ownedParameter xmi:id="_dKR_gGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_dsQEIGd_EeC5DqwlMjG_Kw" name="NotifyObservers" visibility="private">
+      <ownedParameter xmi:id="_uAOo8Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_eexGMGd_EeC5DqwlMjG_Kw" name="getNearestWayPoint" visibility="private">
+      <ownedParameter xmi:id="_fpkscGd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_xn8WgGd_EeC5DqwlMjG_Kw" name="GPSPlayer" clientDependency="_c6_UYGeBEeC5DqwlMjG_Kw _gneNMGeBEeC5DqwlMjG_Kw">
+    <ownedAttribute xmi:id="_zgo9gGd_EeC5DqwlMjG_Kw" name="prev" visibility="private" aggregation="composite"/>
+    <ownedAttribute xmi:id="_0YqxsGd_EeC5DqwlMjG_Kw" name="curr" visibility="private" aggregation="composite"/>
+    <ownedAttribute xmi:id="_1HBFcGd_EeC5DqwlMjG_Kw" name="next" visibility="private" aggregation="composite"/>
+    <interfaceRealization xmi:id="_c6_UYGeBEeC5DqwlMjG_Kw" supplier="_DID-UGeAEeC5DqwlMjG_Kw" client="_xn8WgGd_EeC5DqwlMjG_Kw" contract="_DID-UGeAEeC5DqwlMjG_Kw"/>
+    <ownedOperation xmi:id="_3khCoGd_EeC5DqwlMjG_Kw" name="GPSPlayer">
+      <ownedParameter xmi:id="_5up-8Gd_EeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_58NSwGd_EeC5DqwlMjG_Kw" name="jump">
+      <ownedParameter xmi:id="_7WgtkGd_EeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_7WgtkWd_EeC5DqwlMjG_Kw" name="WayPoint"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_7hZH4Gd_EeC5DqwlMjG_Kw" name="jump">
+      <ownedParameter xmi:id="_9M0u8Gd_EeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_9M0u8Wd_EeC5DqwlMjG_Kw" name="Date"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_9T-f0Gd_EeC5DqwlMjG_Kw" name="jumpRel">
+      <ownedParameter xmi:id="_-x2zEGd_EeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_-yAkEGd_EeC5DqwlMjG_Kw" name="int"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="__W9rQGd_EeC5DqwlMjG_Kw" name="getInterpolated">
+      <ownedParameter xmi:id="_AdJQMGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Interface" xmi:id="_DID-UGeAEeC5DqwlMjG_Kw" name="PlayerObserver" clientDependency="_yaOdIGeBEeC5DqwlMjG_Kw">
+    <ownedOperation xmi:id="_Eqjr0GeAEeC5DqwlMjG_Kw" name="playing">
+      <ownedParameter xmi:id="_FSf1kGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_FcVHAGeAEeC5DqwlMjG_Kw" name="jumping">
+      <ownedParameter xmi:id="_GlDCkGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_GrKRoGeAEeC5DqwlMjG_Kw" name="metadata">
+      <ownedParameter xmi:id="_HaigIGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_SGqEkGeAEeC5DqwlMjG_Kw" name="GPSVideoPlayer" clientDependency="_pp8TQGeBEeC5DqwlMjG_Kw _stI-gGeBEeC5DqwlMjG_Kw">
+    <ownedAttribute xmi:id="_TteRYGeAEeC5DqwlMjG_Kw" name="gps" visibility="private" aggregation="composite"/>
+    <ownedAttribute xmi:id="_UfingGeAEeC5DqwlMjG_Kw" name="video" visibility="private" aggregation="composite"/>
+    <ownedAttribute xmi:id="_VSWkgGeAEeC5DqwlMjG_Kw" name="synced" visibility="private" aggregation="composite"/>
+    <ownedOperation xmi:id="_XLpocGeAEeC5DqwlMjG_Kw" name="play">
+      <ownedParameter xmi:id="_XrY4cGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_XzSQMGeAEeC5DqwlMjG_Kw" name="pause">
+      <ownedParameter xmi:id="_YOtA4GeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_YdwJgGeAEeC5DqwlMjG_Kw" name="jumpToGPSTime">
+      <ownedParameter xmi:id="_Z2alkGeAEeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_Z2alkWeAEeC5DqwlMjG_Kw" name="long"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_aDO5kGeAEeC5DqwlMjG_Kw" name="loop">
+      <ownedParameter xmi:id="_ag4e4GeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_b8rHcGeAEeC5DqwlMjG_Kw" name="forward">
+      <ownedParameter xmi:id="_czgo0GeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_c56y0GeAEeC5DqwlMjG_Kw" name="backward">
+      <ownedParameter xmi:id="_ddFxUGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_dn0aoGeAEeC5DqwlMjG_Kw" name="setDeinterlacer">
+      <ownedParameter xmi:id="_eT7SsGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_f7fGYGeAEeC5DqwlMjG_Kw" name="GPSVideoFile" clientDependency="_ZCmGgGeBEeC5DqwlMjG_Kw">
+    <ownedAttribute xmi:id="_htU3cGeAEeC5DqwlMjG_Kw" name="offset" aggregation="composite"/>
+    <ownedAttribute xmi:id="_jT2JUGeAEeC5DqwlMjG_Kw" name="file" aggregation="composite"/>
+    <ownedOperation xmi:id="_k57WUGeAEeC5DqwlMjG_Kw" name="GPSVideoFile">
+      <ownedParameter xmi:id="_l0x1AGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_oS42MGeAEeC5DqwlMjG_Kw" name="SimpleVideoPlayer" clientDependency="_ur80kGeBEeC5DqwlMjG_Kw">
+    <ownedOperation xmi:id="_rVC_oGeAEeC5DqwlMjG_Kw" name="finished">
+      <ownedParameter xmi:id="_yLSesGeAEeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_yLSesWeAEeC5DqwlMjG_Kw" name="MediaPlayer"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_sZ5H0GeAEeC5DqwlMjG_Kw" name="metaDataAvailable">
+      <ownedParameter xmi:id="_zsvqYGeAEeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_zsvqYWeAEeC5DqwlMjG_Kw" name="MediaPlayer"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_uO3FYGeAEeC5DqwlMjG_Kw" name="paused">
+      <ownedParameter xmi:id="_1QR5sGeAEeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_1QR5sWeAEeC5DqwlMjG_Kw" name="MediaPlayer"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_vaRIkGeAEeC5DqwlMjG_Kw" name="playing">
+      <ownedParameter xmi:id="_14z5UGeAEeC5DqwlMjG_Kw" direction="return"/>
+      <ownedParameter xmi:id="_14z5UWeAEeC5DqwlMjG_Kw" name="MediaPlayer"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_6mkB4GeAEeC5DqwlMjG_Kw" name="updateTime" visibility="private">
+      <ownedParameter xmi:id="_7l5X8GeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_74qi8GeAEeC5DqwlMjG_Kw" name="setDeinterlacer" visibility="private">
+      <ownedParameter xmi:id="_81KncGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_8-_44GeAEeC5DqwlMjG_Kw" name="loop" visibility="protected">
+      <ownedParameter xmi:id="_-ZAYwGeAEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_BFtPkGeBEeC5DqwlMjG_Kw" name="forward" visibility="protected">
+      <ownedParameter xmi:id="_DOzDAGeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_CdBn0GeBEeC5DqwlMjG_Kw" name="backward" visibility="protected">
+      <ownedParameter xmi:id="_Ev9TwGeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_E45NUGeBEeC5DqwlMjG_Kw" name="faster" visibility="protected">
+      <ownedParameter xmi:id="_FmMYMGeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_F9I4kGeBEeC5DqwlMjG_Kw" name="slower" visibility="protected">
+      <ownedParameter xmi:id="_Gl-aMGeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+    <ownedOperation xmi:id="_HB_AwGeBEeC5DqwlMjG_Kw" name="toggleSubs" visibility="protected">
+      <ownedParameter xmi:id="_Hz6M8GeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Class" xmi:id="_TLhlcGeBEeC5DqwlMjG_Kw" name="Syncer">
+    <ownedAttribute xmi:id="_XPtMkGeBEeC5DqwlMjG_Kw" name="player" aggregation="composite"/>
+    <ownedOperation xmi:id="_UhqR8GeBEeC5DqwlMjG_Kw" name="run">
+      <ownedParameter xmi:id="_WmIEEGeBEeC5DqwlMjG_Kw" direction="return"/>
+    </ownedOperation>
+  </packagedElement>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_ZCmGgGeBEeC5DqwlMjG_Kw" supplier="_TLhlcGeBEeC5DqwlMjG_Kw" client="_f7fGYGeAEeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_gneNMGeBEeC5DqwlMjG_Kw" supplier="_sr2scGd-EeC5DqwlMjG_Kw" client="_xn8WgGd_EeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_i0I5EGeBEeC5DqwlMjG_Kw" supplier="_sr2scGd-EeC5DqwlMjG_Kw" client="_J4wrgGd_EeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_oSnT8GeBEeC5DqwlMjG_Kw" supplier="_SGqEkGeAEeC5DqwlMjG_Kw" client="_J4wrgGd_EeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_pp8TQGeBEeC5DqwlMjG_Kw" supplier="_f7fGYGeAEeC5DqwlMjG_Kw" client="_SGqEkGeAEeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_stI-gGeBEeC5DqwlMjG_Kw" supplier="_oS42MGeAEeC5DqwlMjG_Kw" client="_SGqEkGeAEeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_ur80kGeBEeC5DqwlMjG_Kw" supplier="_TLhlcGeBEeC5DqwlMjG_Kw" client="_oS42MGeAEeC5DqwlMjG_Kw"/>
+  <packagedElement xmi:type="uml:Dependency" xmi:id="_yaOdIGeBEeC5DqwlMjG_Kw" supplier="_TLhlcGeBEeC5DqwlMjG_Kw" client="_DID-UGeAEeC5DqwlMjG_Kw"/>
+</uml:Package>
Index: applications/editors/josm/plugins/videomapping/uml/oldConcept.umlclass
===================================================================
--- applications/editors/josm/plugins/videomapping/uml/oldConcept.umlclass	(revision 25861)
+++ applications/editors/josm/plugins/videomapping/uml/oldConcept.umlclass	(revision 25861)
@@ -0,0 +1,604 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<notation:Diagram xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:notation="http://www.eclipse.org/gmf/runtime/1.0.2/notation" xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML" xmlns:uml2tools.notation="http://www.eclipse.org/mdt/uml2tools/gmf/notation/ext/2008" xmi:id="_j2NhcGd-EeC5DqwlMjG_Kw" type="UMLClass" name="oldConcept.umlclass" measurementUnit="Pixel">
+  <children xmi:type="notation:Shape" xmi:id="_orjfwGd-EeC5DqwlMjG_Kw" type="2014" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_orjfwmd-EeC5DqwlMjG_Kw" type="5020"/>
+    <children xmi:type="notation:DecorationNode" xmi:id="_orjfw2d-EeC5DqwlMjG_Kw" type="5041"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_orjfxGd-EeC5DqwlMjG_Kw" type="7032" collapsed="true">
+      <styles xmi:type="notation:SortingStyle" xmi:id="_orjfxWd-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_orjfxmd-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_orjfx2d-EeC5DqwlMjG_Kw"/>
+    </children>
+    <element xmi:type="uml:Package" href="oldConcept.uml#_jq4bMWd-EeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_orjfwWd-EeC5DqwlMjG_Kw"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_s_O7cGd-EeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_s_O7c2d-EeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_tCqC4Gd-EeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_s_O7dGd-EeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_s_O7dWd-EeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_w2SskGd-EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_w1PjsGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_w2SskWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_zOItsGd-EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_zNiQwGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_zOItsWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_s_O7dmd-EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_s_O7d2d-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_s_O7eGd-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_s_O7eWd-EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_s_h2YGd-EeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_5neOUGd-EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_5m3xYGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_5neOUWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_8Dx4sGd-EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_8DVMwGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_8Dx4sWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_-KyBcGd-EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_-KV8kGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_-KyBcWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="__xTTUGd-EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#__w3OcGd-EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="__xTTUWd-EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_CZYv4Gd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_CYpJAGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_CZYv4Wd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_EnGkoGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_EmW9wGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_EnGkoWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_FZd1sGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_FZK6wGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_FZd1sWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_GxO54Gd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_GvvsIGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_GxO54Wd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_H46ToGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_H4nYsGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_H46ToWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_s_h2YWd-EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_s_h2Ymd-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_s_h2Y2d-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_s_h2ZGd-EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_s_h2ZWd-EeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_s_h2Zmd-EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_s_h2Z2d-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_s_h2aGd-EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_s_h2aWd-EeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_s_O7cWd-EeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_sr2scGd-EeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_s_O7cmd-EeC5DqwlMjG_Kw" x="40" y="110" width="196" height="276"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_J5DmcGd_EeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_J5Dmc2d_EeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_J5NXdmd_EeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_J5DmdGd_EeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_J5DmdWd_EeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_MSimUGd_EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_MSF6YGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_MSimUWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_OKWcgGd_EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_OKC6gGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_OKWcgWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_J5Dmdmd_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_J5Dmd2d_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_J5DmeGd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_J5DmeWd_EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_J5Dmemd_EeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_L6i9EGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_L6QCIGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_L6i9EWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_QyIXEGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_Qx_NIGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_QyIXEWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_Rhq9oGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_RhXboGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_Rhq9oWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_SqY5MGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_SqFXMGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_SqY5MWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_UB3CcGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_UBjgcGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_UB3CcWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_Vg7BcGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_VgeVgGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_Vg7BcWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_XE6jwGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_XEnBwGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_XE6jwWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_YppF4Gd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_YpMZ8Gd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_YppF4Wd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_ZXPLsGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_ZW8QwGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_ZXPLsWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_aZZzUGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_aY9HYGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_aZZzUWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_bl_iQGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_blsnUGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_bl_iQWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_dsswEGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_dsQEIGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_dsswEWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_efEBIGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_eexGMGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_efEBIWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_J5Dme2d_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_J5DmfGd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_J5DmfWd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_J5NXcGd_EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_J5NXcWd_EeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_J5NXcmd_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_J5NXc2d_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_J5NXdGd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_J5NXdWd_EeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_J5DmcWd_EeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_J4wrgGd_EeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_J5Dmcmd_EeC5DqwlMjG_Kw" x="320" y="110" width="141" height="391"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_xoPRcGd_EeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_xoPRc2d_EeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_xoZCcGd_EeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_xoPRdGd_EeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_xoPRdWd_EeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_zg74cGd_EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_zgo9gGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_zg74cWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_0Y9soGd_EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_0YqxsGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_0Y9soWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_1HUAYGd_EeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_1HBFcGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_1HUAYWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_xoPRdmd_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_xoPRd2d_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_xoPReGd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_xoPReWd_EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_xoPRemd_EeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_3kqzoGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_3khCoGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_3kqzoWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_58XDwGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_58NSwGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_58XDwWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_7hsC0Gd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_7hZH4Gd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_7hsC0Wd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_9USB0Gd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_9T-f0Gd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_9USB0Wd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="__XG1MGd_EeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#__W9rQGd_EeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="__XG1MWd_EeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_xoPRe2d_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_xoPRfGd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_xoPRfWd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_xoPRfmd_EeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_xoPRf2d_EeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_xoPRgGd_EeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_xoPRgWd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_xoPRgmd_EeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_xoPRg2d_EeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_xoPRcWd_EeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_xn8WgGd_EeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_xoPRcmd_EeC5DqwlMjG_Kw" x="35" y="455" width="261" height="266"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_DINvUGeAEeC5DqwlMjG_Kw" type="2013" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_DIW5QWeAEeC5DqwlMjG_Kw" type="5018"/>
+    <children xmi:type="notation:DecorationNode" xmi:id="_DIW5QmeAEeC5DqwlMjG_Kw" type="5035"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_DIW5Q2eAEeC5DqwlMjG_Kw" type="7029">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_DIW5RGeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_DIW5RWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_DIW5RmeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_DIW5R2eAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_DIW5SGeAEeC5DqwlMjG_Kw" type="7030">
+      <children xmi:type="notation:Node" xmi:id="_Eq2mwGeAEeC5DqwlMjG_Kw" type="3029">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_Eqjr0GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_Eq2mwWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_FcoB8GeAEeC5DqwlMjG_Kw" type="3029">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_FcVHAGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_FcoB8WeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_GrTbkGeAEeC5DqwlMjG_Kw" type="3029">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_GrKRoGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_GrTbkWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_DIW5SWeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_DIW5SmeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_DIW5S2eAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_DIW5TGeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_DIW5TWeAEeC5DqwlMjG_Kw" type="7031">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_DIW5TmeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_DIW5T2eAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_DIW5UGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_DIW5UWeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <element xmi:type="uml:Interface" href="oldConcept.uml#_DID-UGeAEeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_DIW5QGeAEeC5DqwlMjG_Kw" x="490" y="720"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_SG8_gGeAEeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_SG8_g2eAEeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_SHGwgGeAEeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_SG8_hGeAEeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_SG8_hWeAEeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_TtoCYGeAEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_TteRYGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_TtoCYWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_Uf1icGeAEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_UfingGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_Uf1icWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_VSpfcGeAEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_VSWkgGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_VSpfcWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_SG8_hmeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_SG8_h2eAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_SG8_iGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_SG8_iWeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_SG8_imeAEeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_XL8jYGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_XLpocGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_XL8jYWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_XzlLIGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_XzSQMGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_XzlLIWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_YeDEcGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_YdwJgGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_YeDEcWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_aDrlgGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_aDO5kGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_aDrlgWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_b8-CYGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_b8rHcGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_b8-CYWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_c6NtwGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_c56y0GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_c6NtwWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_doHVkGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_dn0aoGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_doHVkWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_SG8_i2eAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_SG8_jGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_SG8_jWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_SG8_jmeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_SG8_j2eAEeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_SG8_kGeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_SG8_kWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_SG8_kmeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_SG8_k2eAEeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_SG8_gWeAEeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_SGqEkGeAEeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_SG8_gmeAEeC5DqwlMjG_Kw" x="615" y="220" width="246" height="251"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_f7yBUGeAEeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_f7yBU2eAEeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_f7yBZGeAEeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_f7yBVGeAEeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_f7yBVWeAEeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_hteocGeAEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_htU3cGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_hteocWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_jUJrUGeAEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_jT2JUGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_jUJrUWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_f7yBVmeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_f7yBV2eAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_f7yBWGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_f7yBWWeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_f7yBWmeAEeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_k6ORQGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_k57WUGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_k6ORQWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_f7yBW2eAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_f7yBXGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_f7yBXWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_f7yBXmeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_f7yBX2eAEeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_f7yBYGeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_f7yBYWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_f7yBYmeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_f7yBY2eAEeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_f7yBUWeAEeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_f7fGYGeAEeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_f7yBUmeAEeC5DqwlMjG_Kw" x="662" y="569"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_oTU7EGeAEeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_oTU7E2eAEeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_oTU7JGeAEeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_oTU7FGeAEeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_oTU7FWeAEeC5DqwlMjG_Kw" type="7001">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_oTU7FmeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_oTU7F2eAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_oTU7GGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_oTU7GWeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_oTU7GmeAEeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_rVV6kGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_rVC_oGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_rVV6kWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_saMCwGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_sZ5H0GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_saMCwWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_uPA2YGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_uO3FYGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_uPA2YWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_vaaSgGeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_vaRIkGeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_vaaSgWeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_6m280GeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_6mkB4GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_6m280WeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_740T8GeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_74qi8GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_740T8WeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_8_Jp4GeAEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_8-_44GeAEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_8_Jp4WeAEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_BGAKgGeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_BFtPkGeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_BGAKgWeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_CdLY0GeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_CdBn0GeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_CdLY0WeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_E5MIQGeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_E45NUGeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_E5MIQWeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_F9SpkGeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_F9I4kGeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_F9SpkWeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <children xmi:type="notation:Node" xmi:id="_HCR7sGeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_HB_AwGeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_HCR7sWeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_oTU7G2eAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_oTU7HGeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_oTU7HWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_oTU7HmeAEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_oTU7H2eAEeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_oTU7IGeAEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_oTU7IWeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_oTU7ImeAEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_oTU7I2eAEeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_oTU7EWeAEeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_oS42MGeAEeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_oTU7EmeAEeC5DqwlMjG_Kw" x="930" y="235" height="251"/>
+  </children>
+  <children xmi:type="notation:Shape" xmi:id="_TLrWcGeBEeC5DqwlMjG_Kw" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_TLrWc2eBEeC5DqwlMjG_Kw" type="5003">
+      <styles xmi:type="notation:FontStyle" xmi:id="_TL1HcGeBEeC5DqwlMjG_Kw" bold="true"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_TLrWdGeBEeC5DqwlMjG_Kw" type="5019"/>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_TLrWdWeBEeC5DqwlMjG_Kw" type="7001">
+      <children xmi:type="notation:Node" xmi:id="_XQAHgGeBEeC5DqwlMjG_Kw" type="3001">
+        <element xmi:type="uml:Property" href="oldConcept.uml#_XPtMkGeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_XQAHgWeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_TLrWdmeBEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_TLrWd2eBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_TLrWeGeBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_TLrWeWeBEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_TLrWemeBEeC5DqwlMjG_Kw" type="7002">
+      <children xmi:type="notation:Node" xmi:id="_Uhzb4GeBEeC5DqwlMjG_Kw" type="3002">
+        <element xmi:type="uml:Operation" href="oldConcept.uml#_UhqR8GeBEeC5DqwlMjG_Kw"/>
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_Uhzb4WeBEeC5DqwlMjG_Kw"/>
+      </children>
+      <styles xmi:type="notation:TitleStyle" xmi:id="_TLrWe2eBEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_TLrWfGeBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_TLrWfWeBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_TLrWfmeBEeC5DqwlMjG_Kw"/>
+    </children>
+    <children xmi:type="notation:BasicCompartment" xmi:id="_TLrWf2eBEeC5DqwlMjG_Kw" type="7003">
+      <styles xmi:type="notation:TitleStyle" xmi:id="_TLrWgGeBEeC5DqwlMjG_Kw" showTitle="true"/>
+      <styles xmi:type="notation:SortingStyle" xmi:id="_TLrWgWeBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:FilteringStyle" xmi:id="_TLrWgmeBEeC5DqwlMjG_Kw"/>
+      <styles xmi:type="notation:CanonicalStyle" xmi:id="_TLrWg2eBEeC5DqwlMjG_Kw"/>
+    </children>
+    <styles xmi:type="notation:CanonicalStyle" xmi:id="_TLrWcWeBEeC5DqwlMjG_Kw"/>
+    <element xmi:type="uml:Class" href="oldConcept.uml#_TLhlcGeBEeC5DqwlMjG_Kw"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_TLrWcmeBEeC5DqwlMjG_Kw" x="945" y="575"/>
+  </children>
+  <styles xmi:type="notation:DiagramStyle" xmi:id="_j2NhcWd-EeC5DqwlMjG_Kw"/>
+  <styles xmi:type="uml2tools.notation:U2TDiagramCanonicalStyle" xmi:id="_j2Nhcmd-EeC5DqwlMjG_Kw"/>
+  <styles xmi:type="notation:FilteringStyle" xmi:id="_j2Nhc2d-EeC5DqwlMjG_Kw"/>
+  <element xmi:type="uml:Package" href="oldConcept.uml#_jq4bMWd-EeC5DqwlMjG_Kw"/>
+  <edges xmi:type="notation:Edge" xmi:id="_ZC5BcGeBEeC5DqwlMjG_Kw" type="4002" source="_f7yBUGeAEeC5DqwlMjG_Kw" target="_TLrWcGeBEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_ZC5BdGeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_ZC5BdWeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_ZC5BdmeBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_ZC5Bd2eBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_ZC5BcWeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_ZC5BcmeBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_ZCmGgGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_ZC5Bc2eBEeC5DqwlMjG_Kw" points="[29, -1, -212, 10]$[220, 41, -21, 52]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_ZEOeMGeBEeC5DqwlMjG_Kw" id="(0.7603305785123967,0.5714285714285714)"/>
+  </edges>
+  <edges xmi:type="notation:Connector" xmi:id="_c7JFYGeBEeC5DqwlMjG_Kw" type="4008" source="_xoPRcGd_EeC5DqwlMjG_Kw" target="_DINvUGeAEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_c7S2YGeBEeC5DqwlMjG_Kw" type="6020">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_c7S2YWeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <styles xmi:type="notation:FontStyle" xmi:id="_c7JFYWeBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:InterfaceRealization" href="oldConcept.uml#_c6_UYGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_c7JFYmeBEeC5DqwlMjG_Kw" points="[36, 24, -76, -52]$[98, 68, -14, -8]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_c7lxUGeBEeC5DqwlMjG_Kw" id="(0.8620689655172413,0.47368421052631576)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_c7lxUWeBEeC5DqwlMjG_Kw" id="(0.12173913043478261,0.31451612903225806)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_gneNMWeBEeC5DqwlMjG_Kw" type="4002" source="_xoPRcGd_EeC5DqwlMjG_Kw" target="_s_O7cGd-EeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_gneNNWeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_gneNNmeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_gneNN2eBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_gneNOGeBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_gneNMmeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_gneNM2eBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_gneNMGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_gneNNGeBEeC5DqwlMjG_Kw" points="[-1, -46, 0, 103]$[7, -115, 8, 34]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_gnn-MGeBEeC5DqwlMjG_Kw" id="(0.4942528735632184,0.17293233082706766)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_gnn-MWeBEeC5DqwlMjG_Kw" id="(0.6275510204081632,0.8768115942028986)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_i0I5EWeBEeC5DqwlMjG_Kw" type="4002" source="_J5DmcGd_EeC5DqwlMjG_Kw" target="_s_O7cGd-EeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_i0I5FWeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_i0I5FmeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_i0I5F2eBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_i0I5GGeBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_i0I5EmeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_i0I5E2eBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_i0I5EGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_i0I5FGeBEeC5DqwlMjG_Kw" points="[-31, 1, 121, -4]$[-115, 15, 37, 10]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_i0SqEGeBEeC5DqwlMjG_Kw" id="(0.2198581560283688,0.38618925831202044)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_i0SqEWeBEeC5DqwlMjG_Kw" id="(0.8112244897959183,0.5652173913043478)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_oSxE8GeBEeC5DqwlMjG_Kw" type="4002" source="_J5DmcGd_EeC5DqwlMjG_Kw" target="_SG8_gGeAEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_oSxE9GeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_oSxE9WeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_oSxE9meBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_oSxE92eBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_oSxE8WeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_oSxE8meBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_oSnT8GeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_oSxE82eBEeC5DqwlMjG_Kw" points="[71, 9, -205, -28]$[225, 34, -51, -3]"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_oSxE-GeBEeC5DqwlMjG_Kw" id="(0.2073170731707317,0.4860557768924303)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_pqFdMGeBEeC5DqwlMjG_Kw" type="4002" source="_SG8_gGeAEeC5DqwlMjG_Kw" target="_f7yBUGeAEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_pqFdNGeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_pqFdNWeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_pqFdNmeBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_pqFdN2eBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_pqFdMWeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_pqFdMmeBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_pp8TQGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_pqFdM2eBEeC5DqwlMjG_Kw" points="[1, 37, -5, -119]$[-8, 135, -14, -21]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_pqFdOGeBEeC5DqwlMjG_Kw" id="(0.3089430894308943,0.852589641434263)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_pqFdOWeBEeC5DqwlMjG_Kw" id="(0.2892561983471074,0.17647058823529413)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_stI-gWeBEeC5DqwlMjG_Kw" type="4002" source="_SG8_gGeAEeC5DqwlMjG_Kw" target="_oTU7EGeAEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_stI-hWeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_stI-hmeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_stI-h2eBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_stI-iGeBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_stI-gmeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_stI-g2eBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_stI-gGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_stI-hGeBEeC5DqwlMjG_Kw" points="[36, 1, -115, 0]$[105, -8, -46, -9]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_stSvgGeBEeC5DqwlMjG_Kw" id="(0.8536585365853658,0.5099601593625498)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_stSvgWeBEeC5DqwlMjG_Kw" id="(0.21395348837209302,0.4541832669322709)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_usGlkGeBEeC5DqwlMjG_Kw" type="4002" source="_oTU7EGeAEeC5DqwlMjG_Kw" target="_TLrWcGeBEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_usGllGeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_usGllWeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_usGllmeBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_usGll2eBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_usGlkWeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_usGlkmeBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_ur80kGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_usGlk2eBEeC5DqwlMjG_Kw" points="[-2, 31, -2, -140]$[-50, 152, -50, -19]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_usGlmGeBEeC5DqwlMjG_Kw" id="(0.3023255813953488,0.8764940239043825)"/>
+  </edges>
+  <edges xmi:type="notation:Edge" xmi:id="_yaOdIWeBEeC5DqwlMjG_Kw" type="4002" source="_DINvUGeAEeC5DqwlMjG_Kw" target="_TLrWcGeBEeC5DqwlMjG_Kw">
+    <children xmi:type="notation:DecorationNode" xmi:id="_yaOdJWeBEeC5DqwlMjG_Kw" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_yaOdJmeBEeC5DqwlMjG_Kw" y="40"/>
+    </children>
+    <children xmi:type="notation:DecorationNode" xmi:id="_yaOdJ2eBEeC5DqwlMjG_Kw" type="6010">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_yaOdKGeBEeC5DqwlMjG_Kw" y="20"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_yaOdImeBEeC5DqwlMjG_Kw"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_yaOdI2eBEeC5DqwlMjG_Kw" fontName="Calibri"/>
+    <element xmi:type="uml:Dependency" href="oldConcept.uml#_yaOdIGeBEeC5DqwlMjG_Kw"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_yaOdJGeBEeC5DqwlMjG_Kw" points="[58, -25, -315, 136]$[323, -132, -50, 29]"/>
+  </edges>
+</notation:Diagram>
Index: applications/editors/josm/plugins/videomapping/uml/rendering.uml
===================================================================
--- applications/editors/josm/plugins/videomapping/uml/rendering.uml	(revision 25861)
+++ applications/editors/josm/plugins/videomapping/uml/rendering.uml	(revision 25861)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<uml:Package xmi:version="2.1" xmlns:xmi="http://schema.omg.org/spec/XMI/2.1" xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML" xmi:id="_SO8y4WaZEeCmUYnH9FIoXQ">
+  <packagedElement xmi:type="uml:Interaction" xmi:id="_5UKo8GabEeCmUYnH9FIoXQ" name="Interaction">
+    <lifeline xmi:id="_6Q9oYGabEeCmUYnH9FIoXQ" name="a" coveredBy="_7iLYomabEeCmUYnH9FIoXQ _7iLYoGabEeCmUYnH9FIoXQ _7iLYpWabEeCmUYnH9FIoXQ"/>
+    <lifeline xmi:id="_64TVMGabEeCmUYnH9FIoXQ" name="b" coveredBy="_7iLYo2abEeCmUYnH9FIoXQ _7iLYoWabEeCmUYnH9FIoXQ _7iLYpGabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7iLYoGabEeCmUYnH9FIoXQ" name="invocation-1-start" covered="_6Q9oYGabEeCmUYnH9FIoXQ" message="_7iLYpmabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7iLYoWabEeCmUYnH9FIoXQ" name="execution-1-start" covered="_64TVMGabEeCmUYnH9FIoXQ" message="_7iLYpmabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_7iLYomabEeCmUYnH9FIoXQ" name="invocation-1-body" covered="_6Q9oYGabEeCmUYnH9FIoXQ" start="_7iLYoGabEeCmUYnH9FIoXQ" finish="_7iLYpWabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_7iLYo2abEeCmUYnH9FIoXQ" name="execution-1-body" covered="_64TVMGabEeCmUYnH9FIoXQ" start="_7iLYoWabEeCmUYnH9FIoXQ" finish="_7iLYpGabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7iLYpGabEeCmUYnH9FIoXQ" name="execution-1-finish" covered="_64TVMGabEeCmUYnH9FIoXQ"/>
+    <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7iLYpWabEeCmUYnH9FIoXQ" name="invocation-1-finish" covered="_6Q9oYGabEeCmUYnH9FIoXQ"/>
+    <message xmi:id="_7iLYpmabEeCmUYnH9FIoXQ" name="Message" receiveEvent="_7iLYoWabEeCmUYnH9FIoXQ" sendEvent="_7iLYoGabEeCmUYnH9FIoXQ"/>
+  </packagedElement>
+</uml:Package>
Index: applications/editors/josm/plugins/videomapping/uml/rendering.umlseq
===================================================================
--- applications/editors/josm/plugins/videomapping/uml/rendering.umlseq	(revision 25861)
+++ applications/editors/josm/plugins/videomapping/uml/rendering.umlseq	(revision 25861)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<notation:Diagram xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:notation="http://www.eclipse.org/gmf/runtime/1.0.2/notation" xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML" xmlns:uml2t.seqd.notation="http://www.eclipse.org/mdt/uml2tools/sequence-diagram/notation/2008" xmi:id="_SRLngGaZEeCmUYnH9FIoXQ" type="UMLSequence" name="rendering.umlseq" measurementUnit="Pixel">
+  <children xmi:type="notation:Shape" xmi:id="_5UnU4GabEeCmUYnH9FIoXQ" type="2001" fontName="Calibri">
+    <children xmi:type="notation:DecorationNode" xmi:id="_5UnU42abEeCmUYnH9FIoXQ" type="5002"/>
+    <children xmi:type="notation:Shape" xmi:id="_6RRKYGabEeCmUYnH9FIoXQ" type="3001" fontName="Calibri">
+      <children xmi:type="notation:DecorationNode" xmi:id="_6RRKYmabEeCmUYnH9FIoXQ" type="5001"/>
+      <children xmi:type="notation:DecorationNode" xmi:id="_6RRKY2abEeCmUYnH9FIoXQ" type="5005"/>
+      <children xmi:type="notation:Shape" xmi:id="_7ioEkGabEeCmUYnH9FIoXQ" type="3004" fontName="Calibri">
+        <element xmi:type="uml:BehaviorExecutionSpecification" href="rendering.uml#_7iLYomabEeCmUYnH9FIoXQ"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_7ioEkWabEeCmUYnH9FIoXQ" x="20" y="103" width="20" height="24"/>
+      </children>
+      <element xmi:type="uml:Lifeline" href="rendering.uml#_6Q9oYGabEeCmUYnH9FIoXQ"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_6RRKYWabEeCmUYnH9FIoXQ" x="30" y="28" width="60" height="300"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_64wBIGabEeCmUYnH9FIoXQ" type="3001" fontName="Calibri">
+      <children xmi:type="notation:DecorationNode" xmi:id="_64wBImabEeCmUYnH9FIoXQ" type="5001"/>
+      <children xmi:type="notation:DecorationNode" xmi:id="_64wBI2abEeCmUYnH9FIoXQ" type="5005"/>
+      <children xmi:type="notation:Shape" xmi:id="_7ioEkmabEeCmUYnH9FIoXQ" type="3004" fontName="Calibri">
+        <element xmi:type="uml:BehaviorExecutionSpecification" href="rendering.uml#_7iLYo2abEeCmUYnH9FIoXQ"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_7ioEk2abEeCmUYnH9FIoXQ" x="20" y="103" width="20" height="24"/>
+      </children>
+      <element xmi:type="uml:Lifeline" href="rendering.uml#_64TVMGabEeCmUYnH9FIoXQ"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_64wBIWabEeCmUYnH9FIoXQ" x="120" y="28" width="60" height="300"/>
+    </children>
+    <styles xmi:type="uml2t.seqd.notation:SDModelStorageStyle" xmi:id="_5UnU4WabEeCmUYnH9FIoXQ"/>
+    <element xmi:type="uml:Interaction" href="rendering.uml#_5UKo8GabEeCmUYnH9FIoXQ"/>
+    <layoutConstraint xmi:type="notation:Bounds" xmi:id="_5UnU4mabEeCmUYnH9FIoXQ" x="295" y="85" width="230" height="338"/>
+  </children>
+  <styles xmi:type="notation:DiagramStyle" xmi:id="_SRLngWaZEeCmUYnH9FIoXQ"/>
+  <element xmi:type="uml:Package" href="rendering.uml#_SO8y4WaZEeCmUYnH9FIoXQ"/>
+  <edges xmi:type="notation:Edge" xmi:id="_7ixOgGabEeCmUYnH9FIoXQ" type="4001" source="_7ioEkGabEeCmUYnH9FIoXQ" target="_7ioEkmabEeCmUYnH9FIoXQ">
+    <children xmi:type="notation:DecorationNode" xmi:id="_7ixOhGabEeCmUYnH9FIoXQ" type="6001">
+      <layoutConstraint xmi:type="notation:Location" xmi:id="_7ixOhWabEeCmUYnH9FIoXQ" y="-10"/>
+    </children>
+    <styles xmi:type="notation:RoutingStyle" xmi:id="_7ixOgWabEeCmUYnH9FIoXQ"/>
+    <styles xmi:type="notation:FontStyle" xmi:id="_7ixOgmabEeCmUYnH9FIoXQ" fontName="Calibri"/>
+    <styles xmi:type="notation:IntListValueStyle" xmi:id="_7i6_gWabEeCmUYnH9FIoXQ" name="SourceAnchor">
+      <intListValue>365</intListValue>
+      <intListValue>216</intListValue>
+    </styles>
+    <styles xmi:type="notation:IntListValueStyle" xmi:id="_7i6_g2abEeCmUYnH9FIoXQ" name="TargetAnchor">
+      <intListValue>435</intListValue>
+      <intListValue>216</intListValue>
+    </styles>
+    <element xmi:type="uml:Message" href="rendering.uml#_7iLYpmabEeCmUYnH9FIoXQ"/>
+    <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_7ixOg2abEeCmUYnH9FIoXQ" points="[30, -16, -60, -16]$[73, -150, -17, -150]"/>
+    <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_7i6_gGabEeCmUYnH9FIoXQ" id="(1.0,0.0)"/>
+    <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_7i6_gmabEeCmUYnH9FIoXQ" id="(0.0,0.0)"/>
+  </edges>
+</notation:Diagram>
